BEGIN;

UPDATE Food set name_food = "BANANAS" WHERE type_food = "МЯСО";

COMMIT;

-- Мы работаем с едой, изменяем её. К нам пришли новые поставки и мы хотим координально поменять рацион в зоопарке
-- Это дело не быстрое и вероятнее всего займёт продолжительное время, поэтому нам важно, чтобы все в зоопарке
-- Пользовались старой таблицей с едой, до тех пор пока не будет готова новая
-- Транзакция 2 - это обычное чтение этой таблицы